<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedEntities/Triggers/ContaminatedTrigger.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/dd6/_contaminated_trigger_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ContaminatedTrigger.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d1/dd6/_contaminated_trigger_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html">EffectTrigger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7fe4790ce5d772afc927667b0e04c79e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dd6/_contaminated_trigger_8c.html#a7fe4790ce5d772afc927667b0e04c79e">ContaminatedTrigger_Dynamic</a> ()</td></tr>
<tr class="separator:a7fe4790ce5d772afc927667b0e04c79e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb938ebcd51f37b235141b0454cf2a00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dd6/_contaminated_trigger_8c.html#aeb938ebcd51f37b235141b0454cf2a00">SetAreaState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> state)</td></tr>
<tr class="separator:aeb938ebcd51f37b235141b0454cf2a00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af882f0ed5d220ff79057bd31b73692a4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dd6/_contaminated_trigger_8c.html#af882f0ed5d220ff79057bd31b73692a4">OnEnterClientEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:af882f0ed5d220ff79057bd31b73692a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad183155e7592e816863539c54b6fa83f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dd6/_contaminated_trigger_8c.html#ad183155e7592e816863539c54b6fa83f">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:ad183155e7592e816863539c54b6fa83f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae9a62e7968134d6e041583ff2a21e7c6"><td class="memItemLeft" align="right" valign="top">class ContaminatedTrigger extends <a class="el" href="../../d6/d9f/class_effect_trigger.html">EffectTrigger</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dd6/_contaminated_trigger_8c.html#ae9a62e7968134d6e041583ff2a21e7c6">m_AreaState</a></td></tr>
<tr class="separator:ae9a62e7968134d6e041583ff2a21e7c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a7fe4790ce5d772afc927667b0e04c79e" name="a7fe4790ce5d772afc927667b0e04c79e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe4790ce5d772afc927667b0e04c79e">&#9670;&#160;</a></span>ContaminatedTrigger_Dynamic()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedTrigger_Dynamic </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00108">108</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="af882f0ed5d220ff79057bd31b73692a4" name="af882f0ed5d220ff79057bd31b73692a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af882f0ed5d220ff79057bd31b73692a4">&#9670;&#160;</a></span>OnEnterClientEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnEnterClientEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00123">123</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="ad183155e7592e816863539c54b6fa83f" name="ad183155e7592e816863539c54b6fa83f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad183155e7592e816863539c54b6fa83f">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00158">158</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="aeb938ebcd51f37b235141b0454cf2a00" name="aeb938ebcd51f37b235141b0454cf2a00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb938ebcd51f37b235141b0454cf2a00">&#9670;&#160;</a></span>SetAreaState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetAreaState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00117">117</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ae9a62e7968134d6e041583ff2a21e7c6" name="ae9a62e7968134d6e041583ff2a21e7c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9a62e7968134d6e041583ff2a21e7c6">&#9670;&#160;</a></span>m_AreaState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class ContaminatedTrigger extends <a class="el" href="../../d6/d9f/class_effect_trigger.html">EffectTrigger</a> m_AreaState</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_d0a9ed3069b91726da9f1927000078f9.html">ScriptedEntities</a></li><li class="navelem"><a class="el" href="../../dir_6078c131c69a1ce41efd829f012f12be.html">Triggers</a></li><li class="navelem"><a class="el" href="../../d1/dd6/_contaminated_trigger_8c.html">ContaminatedTrigger.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
